Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class CollectionTaggerOutputs

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.CollectionTaggerOutputs

    public class CollectionTaggerOutputs

extends Object

This class will just hold an array of the outputs of all available taggers.

Nested Class Summary
`static class` | `CollectionTaggerOutputs.TaggerOutputHolder` This class has instances for each tagger used in the tagger combination.

Constructor Summary
`CollectionTaggerOutputs(int num)`
`CollectionTaggerOutputs(String[] args)` These will be like commnad-line arguments.

Method Summary
`String` | `getTag(int numTagger, int numToken)`
`void` | `readOutput(int nO, String filename, boolean probs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionTaggerOutputs

    public CollectionTaggerOutputs(int num)

### CollectionTaggerOutputs

    public CollectionTaggerOutputs(String[] args)

  These will be like commnad-line arguments. Format numTaggers file_0 f|t file_1 f|t file_2 f|t ... file_n f|t

Method Detail

### readOutput

    public final void readOutput(int nO,
                                 String filename,
                                 boolean probs)

### getTag

    public String getTag(int numTagger,
                         int numToken)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group